package se.su.dsv.scipro.date;


import se.su.dsv.scipro.data.enums.DateStyle;

import java.text.SimpleDateFormat;
import java.util.Date;

public class DateServiceImpl implements DateService {


    private String findStyle(DateStyle style){
        return style.getFormat();
    }

    @Override
    public String format(Date date) {
        return format(date, DateStyle.DATE);
    }

    @Override
    public String format(Date date, DateStyle style) {
        SimpleDateFormat dateFormat = new SimpleDateFormat(findStyle(style));
        return dateFormat.format(date);
    }

    @Override
    public String getFormat(DateStyle style) {
        return findStyle(style);
    }
}
