package se.su.dsv.scipro.forum;

import com.google.inject.PrivateModule;

public class ForumModule extends PrivateModule {
    @Override
    protected void configure() {
        bind(AbstractThreadRepository.class).to(AbstractThreadRepositoryImpl.class);
        bind(ForumPostReadStateRepository.class).to(ForumPostReadStateRepositoryImpl.class);
        bind(ForumPostRepository.class).to(ForumPostRepositoryImpl.class);
        bind(ProjectThreadRepository.class).to(ProjectThreadRepositoryImpl.class);
        bind(GroupThreadRepository.class).to(GroupThreadRepositoryImpl.class);

        expose(GroupThreadRepository.class);

        bind(ProjectForumService.class).to(ProjectForumServiceImpl.class);
        bind(GroupForumService.class).to(GroupForumServiceImpl.class);

        expose(ProjectForumService.class);
        expose(GroupForumService.class);

        bind(BasicForumService.class).to(BasicForumServiceImpl.class);
        expose(BasicForumService.class);
    }
}
