package se.su.dsv.scipro.notes;

import lombok.Data;
import se.su.dsv.scipro.system.FilteredService;
import se.su.dsv.scipro.system.GenericService;
import se.su.dsv.scipro.system.User;

import java.io.Serializable;

public interface NoteService extends GenericService<Note, Long>, FilteredService<Note, Long, NoteService.Filter> {

    Note getNote(final User user);

    @Data
    @SuppressWarnings({"PMD.UnusedPrivateField", "UnusedDeclaration"})
    class Filter implements Serializable {
        private User user;
    }
}
