package se.su.dsv.scipro.notifications.dataobject;

import se.su.dsv.scipro.data.dataobjects.Member;

import java.util.ArrayList;
import java.util.List;

public class NotificationSource {

    private String message;
    private String additionalMessage;
    private List<Member> additionalRecipients = new ArrayList<>();

    public NotificationSource() {

    }

    /**
     * A message related to this source. Used to give more specific information
     * about the event. E.g. the name of the file, the contents of a forum
     * post and so on.
     */
    public void setMessage(String message) {
        this.message = message;
    }

    public String getMessage() {
        return message;
    }

    public void setAdditionalMessage(String additionalMessage) {
        this.additionalMessage = additionalMessage;
    }

    public String getAdditionalMessage() {
        return additionalMessage;
    }

    public List<Member> getAdditionalRecipients() {
        return additionalRecipients;
    }

}
