package se.su.dsv.scipro.peer;

import com.google.inject.persist.Transactional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QueryDslPredicateExecutor;


@Transactional
public interface CommentThreadRepo extends JpaRepository<CommentThread, Long>, QueryDslPredicateExecutor<CommentThread> {
    CommentThread getCommentThread(String commentableKey, long commentableId);
}
