package se.su.dsv.scipro.reviewing;

import se.su.dsv.scipro.forum.dataobjects.ForumPost;
import se.su.dsv.scipro.project.Project;

public final class NewReviewerInteractionMessage {
    private final Project project;
    private final ForumPost message;

    public NewReviewerInteractionMessage(final Project project, final ForumPost message) {
        this.project = project;
        this.message = message;
    }

    public Project getProject() {
        return project;
    }

    public ForumPost getMessage() {
        return message;
    }
}
