package se.su.dsv.scipro.reviewing;

import scala.Option;
import se.su.dsv.scipro.file.FileUpload;
import se.su.dsv.scipro.project.Project;

public interface ReviewerApprovalService<T extends ReviewerApproval> {
    T requestApproval(Project project, FileUpload thesis, String comment);

    Option<T> findBy(Project project);

    boolean requiresUpload(Project project);
}
