package se.su.dsv.scipro.reviewing;

import se.su.dsv.scipro.file.FileDescription;
import se.su.dsv.scipro.project.Project;

import javax.persistence.Entity;
import java.util.Date;

@Entity
@SuppressWarnings("PMD.UnusedPrivateField")
public class RoughDraftApproval extends ReviewerApproval {

    protected RoughDraftApproval() {}

    public RoughDraftApproval(final Project project, final FileDescription thesis, final String comment, final Date deadline) {
        this.project = project;
        this.decisions.add(new Decision(this, thesis, comment, deadline));
    }

    @Override
    public Step getStep() {
        return Step.ROUGH_DRAFT_APPROVAL;
    }

}
