package se.su.dsv.scipro.security.auth;

import se.su.dsv.scipro.security.auth.roles.Roles;

import java.lang.annotation.*;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@Inherited
public @interface Authorization {

	boolean requiresLoggedInUser() default true;

	Roles[] authorizedRoles() default {Roles.SYSADMIN};

}
