package se.su.dsv.scipro.system;

import org.springframework.data.domain.Pageable;

import java.io.Serializable;

public interface FilteredService<T, I extends Serializable, F> extends GenericService<T, I> {
    Iterable<T> findAll(F filter, Pageable pageable);
    long count(F filter);
}
