package se.su.dsv.scipro.system;

import java.util.Collection;
import java.util.List;

public interface ProjectTypeService extends GenericService<ProjectType, Long> {
    List<ProjectType> findAllActive();
    List<ProjectType> findAllDeleted();
    List<ProjectType> findByDegreeLevels(Collection<DegreeLevel> degreeLevels);
    List<ProjectType> findWithModule(ProjectModule projectModule);
    List<ProjectType> findBySupervisorProjects(User supervisor);
    boolean projectTypeWithModuleExists(ProjectModule module);
}
