CREATE TABLE `user_role` (
  `user_id` BIGINT(20) NOT NULL,
  `role` VARCHAR(255) NOT NULL,
  PRIMARY KEY (`user_id`, `role`),
  CONSTRAINT `user_role_user_id` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `user_role` (`user_id`, `role`)
    SELECT `user_id`, UPPER(`rolename`)
    FROM `role`;

