CREATE TABLE `project_user` (
  `user_id` BIGINT(20) NOT NULL,
  `project_id` BIGINT(20) NOT NULL,
  PRIMARY KEY (`user_id`, `project_id`),
  CONSTRAINT `project_user_user_id` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`),
  CONSTRAINT `project_user_project_id` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `project_user` (`user_id`, `project_id`)
  SELECT `role`.`user_id`, `project_student`.`project_id`
  FROM `project_student`
  INNER JOIN `role` ON `role`.`id` = `project_student`.`projectParticipants_id`;
