RENAME TABLE `project_class` TO `ProjectType`;

ALTER TABLE `grading_report_template` DROP KEY `UK_qovbb9ql33oaxprfr01w7ss9u`;
ALTER TABLE `grading_report_template` DROP FOREIGN KEY `FK_qovbb9ql33oaxprfr01w7ss9u`;
ALTER TABLE `grading_report_template` CHANGE `projectClass_id` `projectType_id` bigint(20) not null;
ALTER TABLE `grading_report_template` ADD CONSTRAINT `FK_grading_report_template_projectType` FOREIGN KEY (`projectType_id`) REFERENCES `ProjectType` (`id`);

ALTER TABLE `project` DROP FOREIGN KEY `FKED904B19B2B6081F`;
ALTER TABLE `project` CHANGE `projectClass_id` `projectType_id` bigint(20) not null;
ALTER TABLE `project` ADD CONSTRAINT `FK_project_projectType` FOREIGN KEY (`projectType_id`) REFERENCES `ProjectType` (`id`);

ALTER TABLE `project_class_settings` DROP KEY `UK_oxqyb1t8jo7cq2fx8j9slvloa`;
ALTER TABLE `project_class_settings` DROP KEY `projectClass_id`;
ALTER TABLE `project_class_settings` DROP KEY `FK3918D8F0B2B6081F`;
ALTER TABLE `project_class_settings` DROP FOREIGN KEY `FK_oxqyb1t8jo7cq2fx8j9slvloa`;
ALTER TABLE `project_class_settings` CHANGE `projectClass_id` `projectType_id` bigint(20) not null;
ALTER TABLE `project_class_settings` ADD CONSTRAINT `FK_project_class_settings_projectType` FOREIGN KEY (`projectType_id`) REFERENCES `ProjectType` (`id`);
ALTER TABLE `project_class_settings` ADD UNIQUE KEY `UK_project_class_settings_projectType` (`projectType_id`);

ALTER TABLE `projectPartner` DROP FOREIGN KEY `FK_2ar5my1wm4p3uevf1xrrv4cgd`;
ALTER TABLE `projectPartner` DROP KEY `FK_2ar5my1wm4p3uevf1xrrv4cgd`;
ALTER TABLE `projectPartner` CHANGE `projectClass_id` `projectType_id` bigint(20) not null;
ALTER TABLE `projectPartner` ADD CONSTRAINT `FK_projectPartner_projectType` FOREIGN KEY (`projectType_id`) REFERENCES `ProjectType` (`id`);

ALTER TABLE `schedule_template` DROP FOREIGN KEY `FK_s8jm2o7uguo5wcjd41bheteu6`;
ALTER TABLE `schedule_template` DROP KEY `FK_s8jm2o7uguo5wcjd41bheteu6`;
ALTER TABLE `schedule_template` CHANGE `projectClass_id` `projectType_id` bigint(20) DEFAULT NULL;
ALTER TABLE `schedule_template` ADD CONSTRAINT `FK_schedule_template_projectType` FOREIGN KEY (`projectType_id`) REFERENCES `ProjectType` (`id`);

ALTER TABLE `idea` DROP FOREIGN KEY `FK6E051897B2B6081F`;
ALTER TABLE `idea` DROP KEY `FK6E051897B2B6081F`;
ALTER TABLE `idea` CHANGE `projectClass_id` `projectType_id` bigint(20) not null;
ALTER TABLE `idea` ADD CONSTRAINT `FK_idea_projectType` FOREIGN KEY (`projectType_id`) REFERENCES `ProjectType` (`id`);

RENAME TABLE `milestone_activity_project_class` TO `milestone_activity_ProjectType`;
ALTER TABLE `milestone_activity_ProjectType` DROP PRIMARY KEY;
ALTER TABLE `milestone_activity_ProjectType` DROP FOREIGN KEY `FKFB3FC75157F6B071`;
ALTER TABLE `milestone_activity_ProjectType` CHANGE `projectClasses_id` `projectTypes_id` bigint(20) not null;
ALTER TABLE `milestone_activity_ProjectType` ADD CONSTRAINT `FKFB3FC75157F6B071` FOREIGN KEY (`projectTypes_id`) REFERENCES `ProjectType` (`id`);
ALTER TABLE `milestone_activity_ProjectType` ADD PRIMARY KEY ( `milestone_activity_id` , `projectTypes_id` ) ;

RENAME TABLE `ApplicationPeriod_project_class` TO `ApplicationPeriod_ProjectType`;
ALTER TABLE `ApplicationPeriod_ProjectType` DROP PRIMARY KEY;
ALTER TABLE `ApplicationPeriod_ProjectType` DROP FOREIGN KEY `FK97FDEC24B2B6081F`;
ALTER TABLE `ApplicationPeriod_ProjectType` CHANGE `projectClass_id` `projectTypes_id` bigint(20) not null;
ALTER TABLE `ApplicationPeriod_ProjectType` ADD CONSTRAINT `FK97FDEC24B2B6081F` FOREIGN KEY (`projectTypes_id`) REFERENCES `ProjectType` (`id`);
ALTER TABLE `ApplicationPeriod_ProjectType` ADD PRIMARY KEY ( `ApplicationPeriod_id` , `projectTypes_id` ) ;