package se.su.dsv.scipro.forummail;

import org.junit.Test;

import javax.inject.Inject;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

public class ForumMailSettingsServiceImplTest extends ForumMailModuleTest {

    @Inject
    ForumMailSettingsServiceImpl forumMailSettingsService;

    @Test
    public void finds_existing_settings() throws Exception {
        ForumMailSettings settings = save(new ForumMailSettings(1L));
        assertEquals(settings, forumMailSettingsService.getSettings());
    }

    @Test
    public void saves_new_one_if_no_one_exists() throws Exception {
        assertNotNull(forumMailSettingsService.getSettings());
    }
}
