CREATE TABLE `supervisoridea_match` (
 `id` bigint(20) NOT NULL AUTO_INCREMENT,
 `dateCreated` datetime NOT NULL,
 `lastModified` datetime NOT NULL,
 `version` int(11) NOT NULL,
 `ideaStatus` varchar(255) DEFAULT NULL,
 `createdBy_id` bigint(20) DEFAULT NULL,
 `supervisor_id` bigint(20) DEFAULT NULL,
 `supervisorIdea_id` bigint(20) NOT NULL,
 PRIMARY KEY (`id`),
 KEY `FKF66B57E59AA5FCB` (`createdBy_id`),
 KEY `FKF66B57E58DE85053` (`supervisorIdea_id`),
 KEY `FKF66B57E5BCA56165` (`supervisor_id`),
 CONSTRAINT `FKF66B57E58DE85053` FOREIGN KEY (`supervisorIdea_id`) REFERENCES `supervisoridea` (`id`),
 CONSTRAINT `FKF66B57E59AA5FCB` FOREIGN KEY (`createdBy_id`) REFERENCES `user` (`id`),
 CONSTRAINT `FKF66B57E5BCA56165` FOREIGN KEY (`supervisor_id`) REFERENCES `role` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

ALTER TABLE `supervisoridea` ADD `match_id` bigint(20) DEFAULT NULL; 