package se.su.dsv.scipro.admin.pages;

import se.su.dsv.scipro.datatables.project.ProjectDataPanel;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.roles.Roles;

@Authorization(authorizedRoles = {Roles.ADMIN})
public class ProjectManagementPage extends AbstractAdminProjectPage {

    public ProjectManagementPage() {
        add(new ProjectDataPanel(PANEL));
    }

    static final String PANEL = "panel";
}
