package se.su.dsv.scipro.checklists;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.list.ListItem;
import org.apache.wicket.markup.html.list.ListView;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.PropertyModel;
import se.su.dsv.scipro.checklist.ChecklistTemplate;

import java.util.List;

public class ViewChecklistTemplatePanelPeer extends Panel {

    public ViewChecklistTemplatePanelPeer(String id, final IModel<ChecklistTemplate> clt) {
		super(id);

        add(new Label("templateName", new PropertyModel<String>(clt, "name")));
		add(new ListView<String>("questions", new PropertyModel<List<String>>(clt, "questions")) {
            @Override
            protected void populateItem(ListItem<String> item) {
                item.add(new Label("questionLabel", item.getModel()));
            }
        });
	}
}
