package se.su.dsv.scipro.components;

import org.apache.wicket.markup.html.form.RadioChoice;
import org.apache.wicket.model.Model;
import se.su.dsv.scipro.data.enums.MailChoice;

import java.util.Arrays;

public class IdeaMailChoice extends RadioChoice<MailChoice> {
	
	public IdeaMailChoice(String id) {
		super(id);
		initChoices();
		setModel(Model.of(MailChoice.THESIS_SUPPORT));
	}

    private void initChoices() {
		setChoices(Arrays.asList(
				MailChoice.THESIS_SUPPORT,
				MailChoice.AUTHORS_SUBMITTED_IDEA,
				MailChoice.AUTHORS_MATCHED_IDEA,
				MailChoice.SUPERVISORS_SUBMITTED_IDEA,
				MailChoice.SUPERVISORS_MATCHED_IDEA
				));
	}

}
