package se.su.dsv.scipro.components;

import com.vaynberg.wicket.select2.TextChoiceProvider;
import org.apache.wicket.model.IModel;
import se.su.dsv.scipro.security.auth.roles.Roles;
import se.su.dsv.scipro.system.User;
import se.su.dsv.scipro.system.UserRepo;

import javax.inject.Inject;

public class SupervisorAutoComplete extends AutoCompleteChoice<User> {

    @Inject
    private UserRepo userRepo;

    public SupervisorAutoComplete(String id) {
        super(id);
    }

    public SupervisorAutoComplete(String id, IModel<User> model) {
        super(id, model);
    }

    @Override
    protected TextChoiceProvider<User> getChoiceProvider() {
        return new AutoCompleteRoleProvider(userRepo, Roles.SUPERVISOR);
    }
}
