package se.su.dsv.scipro.forum.mail;

import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.ajax.markup.html.form.AjaxCheckBox;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.Model;
import se.su.dsv.scipro.session.SciProSession;
import se.su.dsv.scipro.springdata.services.UserProfileService;

import javax.inject.Inject;

public class ForumMailReceiverSettingsPanel extends Panel {

    @Inject
    private UserProfileService userProfileService;

    public ForumMailReceiverSettingsPanel(String id) {
        super(id);
        add(new AjaxCheckBox("receiveForumMails", Model.of(userProfileService.isReceiveForumMail(SciProSession.get().getUser()))) {
            @Override
            protected void onUpdate(AjaxRequestTarget target) {
                userProfileService.setReceiveForumMail(SciProSession.get().getUser(), getModelObject());
            }
        });
    }
}
