package se.su.dsv.scipro.loginlogout.pages;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import se.su.dsv.scipro.basepages.PublicPage;

public class LogoutPage extends PublicPage {
		
	public LogoutPage(){

		getSession().invalidate();
		
		add(new Label("message", "You are now logged out. Log back in "));
		BookmarkablePageLink<Void> bml = new BookmarkablePageLink<>("loginLink", LoginPage.class);
		bml.add(new Label("linkText", "here"));
		add(bml);
	}
}
