package se.su.dsv.scipro.repository.components;

import org.apache.wicket.markup.html.link.ResourceLink;
import org.apache.wicket.model.IModel;
import org.apache.wicket.request.resource.IResource;
import se.su.dsv.scipro.file.FileDescription;

class FileLink<T extends FileDescription> extends ResourceLink<T> {
    public FileLink(String id, IModel<T> model, IResource resource) {
        super(id, resource);
        setModel(model);
    }

    @Override
    protected void onConfigure() {
        super.onConfigure();
        setEnabled(getModelObject() != null && getModelObject().isDataAvailable());
        setVisible(getModelObject() != null);
    }
}
