package se.su.dsv.scipro.util;

import org.apache.wicket.ajax.attributes.AjaxCallListener;
import org.apache.wicket.ajax.attributes.AjaxRequestAttributes;
import org.apache.wicket.ajax.markup.html.form.AjaxSubmitLink;

public class AjaxConfirmationSubmitLink extends AjaxSubmitLink {

    private String confirmationMessage;

    public AjaxConfirmationSubmitLink(String id, String confirmationMessage) {
        super(id);
        this.confirmationMessage = confirmationMessage;
    }

    @Override
    protected void updateAjaxAttributes(AjaxRequestAttributes attributes) {
        super.updateAjaxAttributes(attributes);
        AjaxCallListener ajaxCallListener = new AjaxCallListener();
        ajaxCallListener.onPrecondition("return confirm('" + confirmationMessage + "');");
        attributes.getAjaxCallListeners().add(ajaxCallListener);
    }
}
