package se.su.dsv.scipro.activityplan

import java.util.{List ⇒ JList}
import scala.collection.JavaConversions._

object PreviewActivityPlanTemplatePanelHelper {
  def getOffset(activityPlanTemplate: JList[_ <: ActivityTemplate], activityTemplate: ActivityTemplate): Int = {
    val earlierOffset = activityPlanTemplate
      .filter(_.getNumberInOrder < activityTemplate.getNumberInOrder)
      .map(_.getDaysOffset)
      .sum
    earlierOffset + activityTemplate.getDaysOffset
  }
}
