package se.su.dsv.scipro.`match`

import org.apache.wicket.extensions.markup.html.repeater.data.table.export.AbstractExportableColumn
import org.apache.wicket.model.{IModel, LoadableDetachableModel}
import se.su.dsv.scipro.`match`.{Idea => I}

class KeywordsColumn[S](displayModel: IModel[String]) extends AbstractExportableColumn[I, S, String](displayModel) {
  def getDataModel(rowModel: IModel[I]): IModel[String] = {
    new LoadableDetachableModel[String] {
      protected def load: String = ideaKeywords(rowModel.getObject)
    }
  }
}
