package se.su.dsv.scipro.match;

import org.junit.Before;
import org.junit.Test;
import org.mockito.Mockito;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.system.ProjectModule;
import se.su.dsv.scipro.test.ObjectMother;

import java.util.Arrays;
import java.util.Collections;

public class AdminIdeaStatusStatisticsPageTest extends SciProTest {

    @Before
    public void setUp() throws Exception {
        Mockito.when(projectTypeService.findWithModule(ProjectModule.MATCH)).thenReturn(Collections.singletonList(ObjectMother.BACHELOR));
        tester.startPage(AdminIdeaStatusStatisticsPage.class);
    }

    @Test
    public void renders() throws Exception {
        tester.assertRenderedPage(AdminIdeaStatusStatisticsPage.class);
    }
}
