package se.su.dsv.scipro.supervisor.pages;

import org.apache.wicket.Page;
import org.junit.Before;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.User;

import static org.mockito.Matchers.any;
import static org.mockito.Mockito.when;

public class SupervisorFilePageTest extends SupervisorPageTest {
    @Before
    public void setUp() throws Exception {
        when(projectService.isPartOfProject(any(Project.class), any(User.class))).thenReturn(true);
    }

    @Override
    protected Class<? extends Page> getPage() {
        return SupervisorFilePage.class;
    }
}
