package org.springframework.data.querydsl;

import com.mysema.query.types.Predicate;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface QueryDslPredicateExecutor<T> {
    long count(Predicate predicate);
    T findOne(Predicate predicate);
    List<T> findAll(Predicate predicate);
    List<T> findAll(Predicate predicate, Pageable pageable);
}
