package se.su.dsv.scipro.checklist;

import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.FilteredService;
import se.su.dsv.scipro.system.GenericService;

import java.util.List;

public interface ChecklistTemplateService extends GenericService<ChecklistTemplate, Long>, FilteredService<ChecklistTemplate, Long, String> {
    void upChecklistTemplate(ChecklistTemplate checklistTemplate);
    void downChecklistTemplate(ChecklistTemplate checklistTemplate);
    void safeDeleteChecklistTemplate(ChecklistTemplate checklistTemplate);
    List<ChecklistTemplate> findPeerRequestChecklists(Project project);
    List<ChecklistTemplate> findByProject(Project project);
    ChecklistTemplate findByName(String name);
}
