package se.su.dsv.scipro.finalseminar;

import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.User;

class AbstractParticipationEvent {
    private final FinalSeminarActiveParticipation participation;

    protected AbstractParticipationEvent(FinalSeminarActiveParticipation participation) {
        this.participation = participation;
    }

    public User getStudent() {
        return participation.getUser();
    }

    public Project getProject() {
        return participation.getProject();
    }
}
