package se.su.dsv.scipro.finalseminar;

import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.User;

class AbstractRespondentEvent {
    private final FinalSeminarRespondent respondent;

    protected AbstractRespondentEvent(FinalSeminarRespondent respondent) {
        this.respondent = respondent;
    }

    public User getStudent() {
        return respondent.getUser();
    }

    public Project getProject() {
        return respondent.getProject();
    }
}
