package se.su.dsv.scipro.finalseminar;

import se.su.dsv.scipro.project.Project;

public class FinalSeminarCancelledEvent {

    private final FinalSeminar finalSeminar;

    public FinalSeminarCancelledEvent(final FinalSeminar finalSeminar) {
        this.finalSeminar = finalSeminar;
    }

    public Project getProject() {
        return finalSeminar.getProject();
    }

    public FinalSeminar getFinalSeminar() {
        return finalSeminar;
    }
}
