package se.su.dsv.scipro.finalseminar;

import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.User;

import javax.persistence.Cacheable;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Cacheable(true)
@Table(name = "final_seminar_respondent")
public class FinalSeminarRespondent extends FinalSeminarParticipation {

    public FinalSeminarRespondent(User student, FinalSeminar finalSeminar) {
        super(student, finalSeminar);
    }

    protected FinalSeminarRespondent() {
    }

    public Project getProject() {
        return getFinalSeminar().getProject();
    }
}
