package se.su.dsv.scipro.finalthesis;

import com.google.inject.persist.Transactional;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QueryDslPredicateExecutor;
import se.su.dsv.scipro.system.User;

import java.util.List;

@Transactional
public interface FinalThesisRepo extends JpaRepository<FinalThesis, Long>, QueryDslPredicateExecutor<FinalThesis> {
    List<FinalThesis> reviewers(final User reviewer, final boolean showAll, final Pageable pageable);
    Long countReviewers(final User reviewer, final boolean showAll);
}