package se.su.dsv.scipro.forum;

import com.google.inject.persist.Transactional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QueryDslPredicateExecutor;
import se.su.dsv.scipro.forum.dataobjects.GroupThread;
import se.su.dsv.scipro.group.Group;

import java.util.List;

@Transactional
public interface GroupThreadRepository extends JpaRepository<GroupThread, Long>, QueryDslPredicateExecutor<GroupThread> {

    List<GroupThread> findByGroup(Group group);

}
