package se.su.dsv.scipro.forum;

import se.su.dsv.scipro.forum.dataobjects.ForumPost;
import se.su.dsv.scipro.forum.dataobjects.GroupThread;

public class NewGroupForumReplyEvent {
    private final GroupThread groupThread;
    private final ForumPost reply;

    public NewGroupForumReplyEvent(final GroupThread groupThread, final ForumPost reply) {
        this.groupThread = groupThread;
        this.reply = reply;
    }

    public GroupThread getGroupThread() {
        return groupThread;
    }

    public ForumPost getReply() {
        return reply;
    }
}
