package se.su.dsv.scipro.forum;

import se.su.dsv.scipro.forum.dataobjects.ForumPost;
import se.su.dsv.scipro.forum.dataobjects.ProjectThread;

public class NewProjectForumReplyEvent {
    private final ProjectThread projectThread;
    private final ForumPost reply;

    public NewProjectForumReplyEvent(final ProjectThread projectThread, final ForumPost reply) {
        this.projectThread = projectThread;
        this.reply = reply;
    }

    public ProjectThread getProjectThread() {
        return projectThread;
    }

    public ForumPost getReply() {
        return reply;
    }
}
