package se.su.dsv.scipro.mail;

import com.sun.mail.smtp.SMTPMessage;
import lombok.SneakyThrows;

import javax.mail.Address;
import javax.mail.MessagingException;

abstract class SMTPMailResult implements MailResult {
    private final SMTPMessage message;

    SMTPMailResult(final SMTPMessage message) {
        this.message = message;
    }

    @SneakyThrows(MessagingException.class)
    Address[] getAllRecipients() {
            return message.getAllRecipients();
    }

    @Override
    @SneakyThrows(MessagingException.class)
    public String getMessageID() {
        return message.getMessageID();
    }

}
