package se.su.dsv.scipro.notifications.settings.service;

import se.su.dsv.scipro.notifications.dataobject.Notification;
import se.su.dsv.scipro.notifications.settings.entities.DeliveryMethod;
import se.su.dsv.scipro.system.User;

public interface DeliveryConfigurationService {
    boolean setDelivery(Notification.Type type, Enum event, DeliveryMethod method, boolean enabled, User user);

    boolean isDelivery(Notification.Type type, Enum event, DeliveryMethod method);
    boolean isDelivery(Notification.Type type, Enum event, DeliveryMethod method, User user);

    boolean isMailCompilation(User user);
}
