package se.su.dsv.scipro.plagiarism;

import se.su.dsv.scipro.file.FileDescription;
import se.su.dsv.scipro.system.GenericRepo;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

public class TurnItInCheckRepoImpl extends GenericRepo<TurnItInCheck, Long> implements TurnItInCheckRepo {
    @Inject
    public TurnItInCheckRepoImpl(Provider<EntityManager> em) {
        super(em, TurnItInCheck.class, QTurnItInCheck.turnItInCheck);
    }

    @Override
    public TurnItInCheck findByFileDescription(FileDescription fd) {
        return findOne(QTurnItInCheck.turnItInCheck.fileDescription.eq(fd));
    }
}
