package se.su.dsv.scipro.project;

import se.su.dsv.scipro.system.User;

public final class ReviewerAssignedEvent {
    private final Project project;
    private final User reviewer;

    public ReviewerAssignedEvent(final Project project, final User reviewer) {
        this.project = project;
        this.reviewer = reviewer;
    }

    public Project getProject() {
        return project;
    }

    public User getReviewer() {
        return reviewer;
    }
}
