package se.su.dsv.scipro.report;

import javax.persistence.Entity;

@Entity
public class IndividualGradingCriterion extends GradingCriterion {
    protected IndividualGradingCriterion() {
    }

    IndividualGradingCriterion(GradingReport gradingReport, GradingCriterionTemplate gradingCriterionTemplate) {
        super(gradingReport, gradingCriterionTemplate);
    }

    @Override
    public boolean isProjectCriterion() {
        return false;
    }

    @Override
    public boolean isIndividualCriterion() {
        return true;
    }
}
