package se.su.dsv.scipro.report;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QueryDslPredicateExecutor;
import se.su.dsv.scipro.finalseminar.FinalSeminarOpposition;

public interface OppositionReportRepo extends JpaRepository<OppositionReport, Long>, QueryDslPredicateExecutor<OppositionReport> {
    OppositionReport findByFinalSeminarOpposition(FinalSeminarOpposition finalSeminarOpposition);
}
