package se.su.dsv.scipro.report;

import se.su.dsv.scipro.finalseminar.FinalSeminarOpposition;
import se.su.dsv.scipro.system.GenericRepo;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

public class OppositionReportRepoImpl extends GenericRepo<OppositionReport, Long> implements OppositionReportRepo {
    @Inject
    public OppositionReportRepoImpl(Provider<EntityManager> em) {
        super(em, OppositionReport.class, QOppositionReport.oppositionReport);
    }

    @Override
    public OppositionReport findByFinalSeminarOpposition(FinalSeminarOpposition finalSeminarOpposition) {
        return findOne(QOppositionReport.oppositionReport.finalSeminarOpposition.eq(finalSeminarOpposition));
    }
}
