package se.su.dsv.scipro.reviewing;

import se.su.dsv.scipro.project.Project;

public final class FinalSeminarApprovalApprovedEvent {
    private final ReviewerApproval process;

    public FinalSeminarApprovalApprovedEvent(final ReviewerApproval process) {
        this.process = process;
    }

    public Project getProject() {
        return process.getProject();
    }

    public String getName() {
        ReviewerApproval.Step step = process.getStep();
        return step.getDeclaringClass().getSimpleName() + "." + step.name();
    }
}
