package se.su.dsv.scipro.reviewing;

import se.su.dsv.scipro.project.Project;

public class RoughDraftApprovalRequestedEvent {
    private final RoughDraftApproval roughDraftApproval;

    public RoughDraftApprovalRequestedEvent(final RoughDraftApproval roughDraftApproval) {
        this.roughDraftApproval = roughDraftApproval;
    }

    public RoughDraftApproval getRoughDraftApproval() {
        return roughDraftApproval;
    }

    public Project getProject() {
        return roughDraftApproval.getProject();
    }
}
