package se.su.dsv.scipro.system;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

public class PasswordRepoImpl extends GenericRepo<Password, Long> implements PasswordRepo {
    @Inject
    public PasswordRepoImpl(Provider<EntityManager> em) {
        super(em, Password.class, QPassword.password);
    }

    @Override
    public Password findByUser(User user) {
        return createQuery().where(QPassword.password.user.eq(user)).uniqueResult(QPassword.password);
    }
}
