package se.su.dsv.scipro.system;

import com.google.inject.persist.Transactional;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QueryDslPredicateExecutor;
import se.su.dsv.scipro.security.auth.roles.Roles;

import java.util.Collection;

@Transactional
public interface UserRepo extends JpaRepository<User, Long>, QueryDslPredicateExecutor<User> {
    Collection<User> findByNameIncludes(String term, Roles role, Pageable pageable);
}
