create temporary table `remove_checklists` (id bigint);
insert into remove_checklists
  select checklist_id from checklist_checklist_category
  where categories_id = (select id from checklist_category where categoryName = 'Supervisor')
        and checklist_id not in (select checklist_id from checklist_checklist_category
  where categories_id not in (select id from checklist_category where categoryName = 'Supervisor'));

create temporary table `remove_answers` (id bigint);
insert into remove_answers select answers_id from checklist_question_checklist_answer where checklist_question_id in
(select questions_id from checklist_checklist_question where checklist_id in (select id from remove_checklists));


delete from checklist_question_checklist_answer where checklist_question_id in
(select questions_id from checklist_checklist_question where checklist_id in
(select id from remove_checklists));

delete from checklist_answer where id in
(select id from remove_answers);

create temporary table `remove_questions` (id bigint);
insert into remove_questions select questions_id from checklist_checklist_question where checklist_id in
  (select id from remove_checklists);

delete from checklist_checklist_question where checklist_id in (select id from remove_checklists);

delete from checklist_question where id in (select id from remove_questions);

delete from checklist_checklist_category where checklist_id in (select id from remove_checklists);

delete from Checklist_userLastOpenDate where CheckList_id in (select id from remove_checklists);

delete from project_checklist where checkLists_id in (select id from remove_checklists);

UPDATE project_schedule_event
SET checkList_id = NULL
WHERE checkList_id in (select id from remove_checklists);

delete from checklist where id in (select id from remove_checklists);

