CREATE TABLE `user_languages` (
  `user_id` bigint(20) NOT NULL,
  `languages` varchar(255) DEFAULT NULL,
  KEY `user_languages_user_id` (`user_id`),
  CONSTRAINT `user_languages_user_id` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `user_languages` (`user_id`, `languages`) SELECT `user_id`, UPPER(`Language`.`name`)
    FROM `user_language` INNER JOIN `Language` ON `Language`.`id` = `user_language`.`language_id`;

DROP TABLE `user_language`;

ALTER TABLE `idea` DROP FOREIGN KEY `FK6E0518973BE9881F`;
ALTER TABLE `idea` ADD COLUMN `language` VARCHAR(255) DEFAULT NULL;
UPDATE `idea` SET `language` = (SELECT UPPER(`name`) FROM `Language` where `id` = language_id);
ALTER TABLE `idea` DROP COLUMN `language_id`;