CREATE TABLE IF NOT EXISTS `forum_post_file_description` (
  `forum_post_id` bigint(20) NOT NULL,
  `file_description_id` bigint(20) NOT NULL,
  PRIMARY KEY (`forum_post_id`,`file_description_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

ALTER TABLE `forum_post_file_description`
ADD CONSTRAINT FOREIGN KEY (`forum_post_id`) REFERENCES `forum_post` (`id`),
ADD CONSTRAINT FOREIGN KEY (`file_description_id`) REFERENCES `file_description` (`id`);

INSERT INTO forum_post_file_description (forum_post_id, file_description_id) SELECT id, attachment_id FROM forum_post WHERE attachment_id IS NOT NULL;

ALTER TABLE `forum_post` DROP FOREIGN KEY `FKEDDC4F35CCABB192`;
ALTER TABLE `forum_post` DROP `attachment_id`;