ALTER TABLE scipro.Decision ADD reviewerApproval_id BIGINT(20) NOT NULL;

UPDATE Decision D, ReviewerApproval_Decision R set D.reviewerApproval_id = R.reviewerApproval_id WHERE D.id = R.decisions_id;
DELETE FROM scipro.`Decision` WHERE `reviewerApproval_id` NOT IN (SELECT `id` FROM scipro.ReviewerApproval);

DROP TABLE ReviewerApproval_Decision;

ALTER TABLE `scipro`.`Decision`
ADD INDEX `fk_ReviewerApproval_Decision_idx` (`reviewerApproval_id` ASC);

ALTER TABLE `scipro`.`Decision`
ADD CONSTRAINT `fk_Decision_ReviewerApproval`
FOREIGN KEY (`reviewerApproval_id`)
REFERENCES `scipro`.`ReviewerApproval` (`id`)
  ON DELETE CASCADE
  ON UPDATE CASCADE;