CREATE TABLE IF NOT EXISTS `thesislink` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `URL` varchar(255) DEFAULT NULL,
  `visibleToCoSupervisor` tinyint(1) DEFAULT 1,
  `visibleToHeadSupervisor` tinyint(1) DEFAULT 1,
  `visibleToReviewer` tinyint(1) DEFAULT 0,
  `project_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_a7qgw98iyparu1ycgy6jmvky5` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

ALTER TABLE `thesislink`
  ADD CONSTRAINT `FK_a7qgw98iyparu1ycgy6jmvky5` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`);