DELETE FROM `grading_criterion`;
DELETE FROM `grading_report`;

RENAME TABLE `grading_report` TO `GradingReport`;
RENAME TABLE `grading_criterion` TO `GradingCriterion`;

ALTER TABLE `GradingReport` DROP FOREIGN KEY `FK_student`;
ALTER TABLE `GradingReport` DROP INDEX `uc_project_student`;

ALTER TABLE `GradingReport` DROP COLUMN `student_id`;
ALTER TABLE `GradingReport` DROP COLUMN `plagiarismFeedback`;
ALTER TABLE `GradingReport` DROP COLUMN `reviewerReport`;

CREATE TABLE `SupervisorGradingReport` (
  `plagiarismFeedback` longtext,
  `id` bigint(20) NOT NULL,
  `student_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_2vi1wacprhrqlc8agx08btx34` (`student_id`),
  KEY `FK_cwxdypciob8dmndx5elwi3fe5` (`id`),
  CONSTRAINT `FK_cwxdypciob8dmndx5elwi3fe5` FOREIGN KEY (`id`) REFERENCES `GradingReport` (`id`),
  CONSTRAINT `FK_2vi1wacprhrqlc8agx08btx34` FOREIGN KEY (`student_id`) REFERENCES `role` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `ReviewerGradingReport` (
  `id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_axsaeqbamfc41dhih1s62g998` (`id`),
  CONSTRAINT `FK_axsaeqbamfc41dhih1s62g998` FOREIGN KEY (`id`) REFERENCES `GradingReport` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
