package se.su.dsv.scipro.basepages.errorpages;

import org.apache.wicket.request.http.WebResponse;
import se.su.dsv.scipro.basepages.PublicPage;

abstract class AbstractErrorPage extends PublicPage {

    private final int status;

    AbstractErrorPage(final int status) {
        this.status = status;
        setVersioned(false);
    }

    @Override
    public boolean isErrorPage() {
        return true;
    }

    @Override
    protected void configureResponse(final WebResponse response) {
        super.configureResponse(response);
        response.setStatus(status);
    }
}
