package se.su.dsv.scipro.components;

import org.apache.wicket.Component;
import org.apache.wicket.markup.html.basic.EnumLabel;
import org.apache.wicket.model.IModel;

public abstract class AjaxEnumLinkPanel<T, S extends Enum<S>> extends AjaxLinkPanel<T> {
    public AjaxEnumLinkPanel(String id, IModel<T> model, IModel<S> enumLabel) {
        super(id, model, enumLabel);
    }

    @SuppressWarnings("unchecked")
    @Override
    protected Component newLabelComponent(String id, IModel<?> label) {
        return new EnumLabel<>(id, (IModel<S>) label);
    }
}
