package se.su.dsv.scipro.components;

import com.vaynberg.wicket.select2.TextChoiceProvider;
import org.apache.wicket.model.Model;
import se.su.dsv.scipro.security.auth.roles.Roles;
import se.su.dsv.scipro.system.User;
import se.su.dsv.scipro.system.UserRepo;

import javax.inject.Inject;

public abstract class AuthorAutoComplete extends AjaxAutoCompleteChoice<User> {

    @Inject
    private UserRepo studentService;

    public AuthorAutoComplete(String id) {
        super(id);
        setModel(new Model<User>());
    }

    @Override
    protected TextChoiceProvider<User> getChoiceProvider() {
        return new AutoCompleteRoleProvider(studentService, Roles.AUTHOR);
    }

}
