package se.su.dsv.scipro.components;

import org.apache.wicket.markup.html.panel.Panel;

/**
 * Very simple wrapper-style Panel, used to provide a default look&feel for all AbstractUploadForm implementations
 * while still allowing for custom looks (ie: without using this wrapper class).
 * Like: <code>add(new UploadFormPanel(new AbstractUploadForm(){...implementation....}));</code>
 */
public class UploadFormPanel extends Panel {
	public UploadFormPanel(final String id, final AbstractUploadForm form){
		super(id);
		add(form);
	}
}