package se.su.dsv.scipro.finalseminar;

import org.apache.wicket.RestartResponseException;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.pages.RedirectPage;
import org.apache.wicket.markup.html.panel.FeedbackPanel;

public class TurnitinPopupPage extends WebPage {
    public TurnitinPopupPage(final String url) {
        FeedbackPanel feedbackPanel = new FeedbackPanel("feedbackPanel");
        add(feedbackPanel);
        if (url != null) {
            throw new RestartResponseException(new RedirectPage(url));
        } else {
            info("Waiting for Turnitin to check for plagiarism - try again later");
        }
    }
}
