package se.su.dsv.scipro.grading;

import org.apache.wicket.model.IModel;
import se.su.dsv.scipro.report.OppositionReport;

public class OppositionReportPdfResource extends ReportPdfResource {
    private IModel<OppositionReport> oppositionReportModel;

    public OppositionReportPdfResource(IModel<OppositionReport> reportIModel) {
        super(reportIModel);
        oppositionReportModel = reportIModel;
    }

    @Override
    protected String getTemplateName() {
        return "template_opposition.jrxml";
    }

    @Override
    public String getFileName() {
        OppositionReport report = oppositionReportModel.getObject();
        return "opposition_report_" + report.getOpponentFirstName() + "_" + report.getOpponentLastName() + "." + getExtension();
    }
}
