package se.su.dsv.scipro.match;

import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.components.AbstractMenuPanel;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightProjectMyIdeas;
import se.su.dsv.scipro.project.pages.ProjectPage;
import se.su.dsv.scipro.projectpartner.ProjectPartnerPage;

import java.util.Arrays;
import java.util.List;

import static se.su.dsv.scipro.components.AbstractMenuPanel.MenuType.HORIZONTAL;

public class AbstractIdeaProjectPage extends ProjectPage {
    public AbstractIdeaProjectPage(PageParameters pp) {
        super(pp);

        add(new AbstractMenuPanel("subMenu", AbstractIdeaProjectPage.class, getClass()) {
            @Override
            protected List<MenuItem> getItemList() {
                return Arrays.asList(
                        new MenuItem("My ideas", ProjectIdeaStartPage.class, MenuHighlightProjectMyIdeas.class),
                        new MenuItem("Project partner", ProjectPartnerPage.class)
                );
            }

            @Override
            protected MenuType getMenuType() {
                return HORIZONTAL;
            }
        });
    }
}
