package se.su.dsv.scipro.match;

import org.apache.wicket.markup.html.panel.FeedbackPanel;
import se.su.dsv.scipro.basepages.BasePage;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.roles.Roles;

@Authorization(authorizedRoles = {Roles.ADMIN, Roles.SYSADMIN})
public class AdminIdeaPopupPage extends BasePage {

    public static final String IDEA_PANEL = "ideaPanel";
    public static final String FEEDBACK = "feedback";

    public AdminIdeaPopupPage() {
        FeedbackPanel feedbackPanel = new FeedbackPanel(FEEDBACK);
        feedbackPanel.setOutputMarkupId(true);
        add(feedbackPanel);

        add(new AdminIdeaPopupPanel(IDEA_PANEL));
    }
}
