package se.su.dsv.scipro.match;

import org.apache.wicket.model.IModel;
import se.su.dsv.scipro.session.SciProSession;
import se.su.dsv.scipro.system.ProjectType;

import javax.inject.Inject;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class SupervisorAllSelectableStudentIdeasPanel extends SupervisorAllStudentIdeasPanel {

    @Inject
    private TargetService targetService;

    public SupervisorAllSelectableStudentIdeasPanel(String id, IModel<ApplicationPeriod> applicationPeriod) {
        super(id, applicationPeriod);
    }

    @Override
    protected void prepareFilter(IdeaService.Filter filter) {
        super.prepareFilter(filter);
        filter.setStatuses(Collections.singleton(Idea.Status.UNMATCHED));
    }

    @Override
    protected List<ProjectType> getChoices() {
        return new ArrayList<>(targetService.projectTypesWithTargetsLeft(getModelObject(), SciProSession.get().getUser()));
    }
}
