package se.su.dsv.scipro.phd;

import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightAuthorMyProjects;
import se.su.dsv.scipro.economy.EconomyPanel;
import se.su.dsv.scipro.project.pages.AbstractProjectDetailsPage;
import se.su.dsv.scipro.security.auth.ProjectModuleComponent;
import se.su.dsv.scipro.system.ProjectModule;

@ProjectModuleComponent(ProjectModule.ADMIN)
public class ProjectAdminPage extends AbstractProjectDetailsPage implements MenuHighlightAuthorMyProjects {

    public ProjectAdminPage(PageParameters pp) {
        super(pp);
        add(new StudyPlanPanel("studyPlan", projectModel));
        add(new DepartmentServicePanel("departmentServicePanel", projectModel));
        add(new EconomyPanel("economyPanel", projectModel));
    }
}
