package se.su.dsv.scipro.milestones;

import org.apache.wicket.Page;
import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.PageTest;

public class AdminMilestoneSettingsPageTest extends PageTest {

    AdminMileStoneSettingsPage page;

    @Before
    public void setUp() throws Exception {
        page = tester.startPage(AdminMileStoneSettingsPage.class);
    }

    @Override
    protected Class<? extends Page> getPage() {
        return AdminMileStoneSettingsPage.class;
    }

    @Test
    public void testPageContainsPhasePanel() throws Exception {
        tester.assertComponent(AdminMileStoneSettingsPage.PHASE_SETTINGS, MileStonePhaseAdminPanel.class);
    }

    @Test
    public void testPageContainsActivityPanel() throws Exception {
        tester.assertComponent(AdminMileStoneSettingsPage.MILESTONE_SETTINGS, MileStoneActivityAdminPanel.class);
    }
}
