package se.su.dsv.scipro.nonworkdays;

import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.model.Model;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.nonworkperiod.NonWorkDayPeriod;

import java.util.Date;

public class NonWorkDaysCRUDPanelTest extends SciProTest {

    NonWorkDaysCRUDPanel panel;

    private void start_panel() {
        start_panel(create_default_nwdp());
    }

    private NonWorkDayPeriod create_default_nwdp() {
        NonWorkDayPeriod nwdp = new NonWorkDayPeriod();
        nwdp.setStartDate(new Date());
        nwdp.setEndDate(new Date());
        return nwdp;

    }

    private void start_panel(final NonWorkDayPeriod nwdp) {
        panel = tester.startComponentInPage(new NonWorkDaysCRUDPanel("panel", Model.of(nwdp)) {
            @Override
            public void handleSave(AjaxRequestTarget target) {
            }
        });
    }

    @Test
    public void test_renders() throws Exception {
        start_panel();
        assert panel != null : "Could not render panel";
    }
}
