package se.su.dsv.scipro.phd;

import org.apache.wicket.model.Model;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.test.ObjectMother;
import se.su.dsv.scipro.test.UserBuilder;

public class DepartmentServicePanelTest extends SciProTest {

    @Test
    public void department_service_panel_for_each_project_participant() throws Exception {
        Project project = Project.builder().title("title").projectType(ObjectMother.BACHELOR).build();
        project.addProjectParticipant(new UserBuilder().create());

        tester.startComponentInPage(new DepartmentServicePanel("panel", Model.of(project)));
        tester.assertComponent(path("panel", "projectParticipants", 0, "servicePanel"),
                DepartmentServiceByUserPanel.class);
    }
}
